Bug 12496 - криво отображает русские буквы в юникодной локали
Summary: криво отображает русские буквы в юникодной локали
Status: CLOSED FIXED
Alias: None
Product: Sisyphus
Classification: Development
Component: rtorrent (show other bugs)
Version: unstable
Hardware: all Linux
: P2 major
Assignee: Nobody's working on this, feel free to take it
QA Contact: qa-sisyphus
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-08-07 18:23 MSD by Konstantin Pavlov
Modified: 2008-05-31 23:24 MSD (History)
1 user (show)

See Also:


Attachments
main window (1.40 KB, image/png)
2007-11-26 04:44 MSK, Nick S. Grechukh
no flags Details
file list (11.65 KB, image/png)
2007-11-26 04:44 MSK, Nick S. Grechukh
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Konstantin Pavlov 2007-08-07 18:23:53 MSD
Чтобы исправить, необходимо собрать с libncursesw. Патч
http://git.altlinux.org/people/thresh/packages/rtorrent.git?p=rtorrent.git;a=commitdiff;h=2e3f31d39e1df21b69d5a6116bf5bf9e9f1c9709
Comment 1 swi 2007-08-08 00:13:29 MSD
applied in rtorrent-0.7.5-alt1
Comment 2 Nick S. Grechukh 2007-11-26 04:40:30 MSK
и все-таки криво. И в utf-8, и в cp1251
Comment 3 Nick S. Grechukh 2007-11-26 04:44:19 MSK
Created attachment 2289 [details]
main window
Comment 4 Nick S. Grechukh 2007-11-26 04:44:43 MSK
Created attachment 2290 [details]
file list
Comment 5 Nick S. Grechukh 2007-11-26 04:45:38 MSK
пришлось utorrent ставить :(
Comment 6 Nick S. Grechukh 2007-11-26 04:46:04 MSK
пришлось utorrent ставить :(
Comment 7 Nick S. Grechukh 2007-11-26 08:13:11 MSK
к счастью, файлы и папки создает нормально. Проблема только с отображением.
Comment 8 swi 2007-11-26 12:20:04 MSK
(In reply to comment #7)
> к счастью, файлы и папки создает нормально. Проблема только с отображением.

ссылку на торрент пожалуйста. У меня русских под руками нет и не было.
Comment 9 Nick S. Grechukh 2007-11-27 13:52:52 MSK
(In reply to comment #8)
> (In reply to comment #7)
> > к счастью, файлы и папки создает нормально. Проблема только с отображением.
> 
> ссылку на торрент пожалуйста. У меня русских под руками нет и не было.

http://torrents.ru/forum/viewtopic.php?t=246511

аттачить не буду, дабы багзиллу не превращать окончательно в варезник =)
Comment 10 swi 2007-12-11 14:12:59 MSK
попробуйте 0.7.9 (ушло в сизиф), хотя я совсем не думаю что проблема
исправилась. Написал апстриму про сие безобразие - посмотрим чего скажут (думаю
что "не наша проблема" или что-то в этом роде)
Comment 11 swi 2007-12-12 10:32:16 MSK
ага. ответ апстрима:
It is a known problem, and requires proper handling of encodings in
libtorrent and rtorrent. This is not that high on my priority list, even
though I do have some problems myself with japanese characters.

Jari Sundell

Т.е. проблема известая, даже иной раз мешает самому афтару но она у него "не на
первых местах"...
Comment 12 swi 2008-05-20 23:43:53 MSD
0.8.2 пошла, просьба проверить (ох уж мне этот их trac)
Comment 13 swi 2008-05-31 23:24:10 MSD
по показаниям drool@ ситация исправилась в < 0.8.0